# IO_BlinkSequence.cpp File Reference

`#include <osgSim/BlinkSequence>`
`#include <iostream>`
`#include <string>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`
`#include <osgDB/ParameterOutput>`

Include dependency graph for IO_BlinkSequence.cpp:

## Functions

bool | BlinkSequence_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | BlinkSequence_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
osgDB::RegisterDotOsgWrapperProxy | BlinkSequence_Proxy (new BlinkSequence,"BlinkSequence","Object BlinkSequence",&BlinkSequence_readLocalData,&BlinkSequence_writeLocalData, osgDB::DotOsgWrapper::READ_AND_WRITE)
bool | BlinkSequence_SequenceGroup_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | BlinkSequence_SequenceGroup_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
osgDB::RegisterDotOsgWrapperProxy | BlinkSequence_SequenceGroup_Proxy (new SequenceGroup,"SequenceGroup","Object SequenceGroup",&BlinkSequence_SequenceGroup_readLocalData,&BlinkSequence_SequenceGroup_writeLocalData, osgDB::DotOsgWrapper::READ_AND_WRITE)

## Function Documentation

osgDB::RegisterDotOsgWrapperProxy BlinkSequence_Proxy | ( | new | BlinkSequence,
|  | "BlinkSequence" | ,
|  | "Object BlinkSequence" | ,
|  | & | BlinkSequence_readLocalData,
|  | & | BlinkSequence_writeLocalData,
|  | osgDB::DotOsgWrapper::READ_AND_WRITE |
| ) |

bool BlinkSequence_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

osgDB::RegisterDotOsgWrapperProxy BlinkSequence_SequenceGroup_Proxy | ( | new | SequenceGroup,
|  | "SequenceGroup" | ,
|  | "Object SequenceGroup" | ,
|  | & | BlinkSequence_SequenceGroup_readLocalData,
|  | & | BlinkSequence_SequenceGroup_writeLocalData,
|  | osgDB::DotOsgWrapper::READ_AND_WRITE |
| ) |

bool BlinkSequence_SequenceGroup_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool BlinkSequence_SequenceGroup_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

bool BlinkSequence_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |